Bug 1768064 - Extra whitespace in 'git pull' when using Git 2.22 and above on Fedora 31 server
Summary: Extra whitespace in 'git pull' when using Git 2.22 and above on Fedora 31 server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Todd Zullinger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-02 04:08 UTC by Jeffrey Walton
Modified: 2019-12-18 01:52 UTC (History)
9 users (show)

Fixed In Version: git-2.24.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-18 01:52:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Jeffrey Walton 2019-11-02 04:08:43 UTC
Git version 2.23 produces extra whitespace at a Git server. Linux, OS X and WIndows clients display the extra whitespace.

Please track the issue as it is mostly annoying. The mailing list messages and patch is provided below.

An example of the extra whitespace is:

$ git pull
remote:                                                                         remote: Enumerating objects: 9, done.
remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote: Counting objects: 100% (9/9), done.
remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote: Compressing objects: 100% (5/5), done.
remote: Total 5 (delta 4), reused 0 (delta 0)
Unpacking objects: 100% (5/5), done.
From ssh://callmaster:/var/callboot-src
   6f1d16d..a3cf462  master     -> origin/master
Updating 6f1d16d..a3cf462
Fast-forward
...

The Git folks are aware of the issue. Also see (thanks to Bryan Turner on the Git mailing list):

* https://marc.info/?l=git&m=157265398514023
* https://public-inbox.org/git/20190822141928.GA3163@323642-phi-gmno-clahs/
* https://public-inbox.org/git/20190916205412.8602-1-szeder.dev@gmail.com/

Comment 1 Todd Zullinger 2019-11-02 07:15:05 UTC
I plan to push 2.24.0 to f31 shortly after it's released.  So it won't be long before this is fixed.

Comment 2 Fedora Update System 2019-12-10 19:54:35 UTC
FEDORA-2019-c841bcc3b9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c841bcc3b9

Comment 3 Fedora Update System 2019-12-11 01:41:59 UTC
git-2.24.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c841bcc3b9

Comment 4 Fedora Update System 2019-12-18 01:52:39 UTC
git-2.24.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.